/**
   dessin.cpp

   \brief ce programme contient deux fonctions permettant de desiner des lignes.

*/

#include <iostream>
#include <cmath>
#include "point.h"
#include "canevas.h"

using namespace std;

const float PI = 3.14159;
const int DIM_CANEVAS = 800;

float degRad(float angle)
{
    return (angle * PI /180);
}
/** ---------------------------------------------------
    Fonction dessinerLigne

    \brief Dessine une ligne sur le canevas
------------------------------------------------------*/
void dessinerLigne(Canevas & ecran, Point p1, Point p2)
{
    sf::VertexArray uneLigne(sf::Lines, 2);
    // On efectue la translation en Y car
    // (Dans SFML Y=0 est en haut à gauche....)
    uneLigne[0].position = sf::Vector2f(p1.valX(), DIM_CANEVAS - p1.valY());
    uneLigne[1].position = sf::Vector2f(p2.valX(), DIM_CANEVAS - p2.valY());
    uneLigne[0].color = sf::Color::Green;
    uneLigne[0].color = sf::Color::Green;
    ecran.dessiner(uneLigne);
    ecran.afficher();
}
/** --------------------------------------------------------
    Fonction calculerPointLigne

    \brief Calcule le second point d'une ligne a partir d'un point
           d'origine, de la longueur de la ligne et d'une direction (angle)
----------------------------------------------------------- */
Point calculerPoint(Point p1, int longueurLigne, int direction)
{
    Point p;
    int dx, dy;

    dy = longueurLigne * sin(degRad(direction));
    dx = longueurLigne * cos(degRad(direction));
    p.init(p1.valX()+dx, p1.valY() + dy);
    return p;
}
